import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;

public class ResultSetInfoUsingJDBCResultSetMetaData {

	public static void main(String[] args) {

		// variables
		Connection connection = null;
		Statement statement = null;
		ResultSet resultSet = null;

		// Step 1: Loading or registering MySQL JDBC driver class
		try {
			Class.forName("com.mysql.jdbc.Driver");
		}
		catch(ClassNotFoundException cnfex) {
			System.out.println("Problem in loading or registering MySQL JDBC driver");
			cnfex.printStackTrace();
		}

		// Step 2: Opening database connection
		try {

			// Step 2.A: Create and get connection using DriverManager class
			connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/PLAYER_INFO", "root", "root@123"); 

			// Step 2.B: Creating JDBC Statement 
			statement = connection.createStatement();

			// create SQL query to get all players
			String sqlSelectQuery = " SELECT * FROM PLAYER ";

			// Step 2.C: Executing SQL & retrieve data into ResultSet
			resultSet = statement.executeQuery(sqlSelectQuery);

			// retrieve result set metadata information
			ResultSetMetaData resultSetMetaData = resultSet.getMetaData();

			// Column count information
			System.out.println("Number of columns in table: " + resultSetMetaData.getColumnCount() + "\n");

			// Column information
			System.out.println("Name\t\tType");
			System.out.println("====\t\t====");
			for (int i=1; i<=resultSetMetaData.getColumnCount(); i++) {

				System.out.println(resultSetMetaData.getColumnName(i) + "\t\t" + resultSetMetaData.getColumnTypeName(i));
			}
		}
		catch(SQLException sqlex){
			sqlex.printStackTrace();
		}
		finally {

			// Step 3: Closing database connection
			try {
				if(null != connection) {

					// and then finally close connection
					connection.close();
				}
			}
			catch (SQLException sqlex) {
				sqlex.printStackTrace();
			}
		}
	}
}